//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class SortedListMain 
	{
		static void Main(string [] args)
		{
			SortedList sl = new SortedList();
			sl.Add("1", "Pierwszy");
			sl.Add("2", "Drugi");
			sl.Add("3", "Trzeci");
			sl.Add("4", "Czwarty");
			sl.Add("5", "Piąty");
			foreach(DictionaryEntry de in sl)
			{
				Console.WriteLine("\"{0}\" {1}", de.Key, de.Value);
			}
			Console.WriteLine("Zawiera \"1\": {0}", sl.Contains("1"));
			Console.WriteLine("Zawiera \"6\": {0}", sl.Contains("6"));
			Console.WriteLine("Zawiera wartość \"Pierwszy\": {0}", sl.ContainsValue("Pierwszy"));
			Console.WriteLine("sl[\"1\"]: {0}", sl["1"]);
			sl.Clear();
			sl.Add(1, "Pierwszy");
			sl.Add(2, "Drugi");
			sl.Add(3, "Trzeci");
			sl.Add(4, "Czwarty");
			sl.Add(5, "Piąty");
			foreach(DictionaryEntry de in sl)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("Zawiera 1: {0}", sl.Contains(1));
			Console.WriteLine("Zawiera 6: {0}", sl.Contains(6));
			Console.WriteLine("Zawiera wartość Pierwszy: {0}", sl.ContainsValue("Pierwszy"));
			Console.WriteLine("sl[1]: {0}", sl[1]);

		}
	}
}